Get Ip Rule
GET /ip-rules/{ip_rule_id}Parameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
ip_rule_id | path | string (uuid) | required | — |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | IpRuleView |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/ip-rules/{ip_rule_id} \ -H "Authorization: Bearer $COBRE_TOKEN"Response — IpRuleView
Section titled “Response — IpRuleView”| Field | Type | Notes | |
|---|---|---|---|
id | string (uuid) | required | — |
cidr | string | required | — |
action | allow | deny | required | — |
description | string | null | optional | — |
is_active | boolean | required | — |
scope | workspace | organization | platform | required | — |
organization_id | string (uuid) | null | optional | — |
workspace_id | string (uuid) | null | optional | — |
created_at | string (date-time) | required | — |